%define libxdmcp %mklibname xdmcp 6
Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.1
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.bz2

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.6
%{_libdir}/libXdmcp.so.6.0.0

#-----------------------------------------------------------

%package -n %{libxdmcp}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxdmcp-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxdmcp}-devel
Development files for %{name}

%files -n %{libxdmcp}-devel
%_datadir/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.la
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

#-----------------------------------------------------------

%package -n %{libxdmcp}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxdmcp}-devel = %{version}
Provides: libxdmcp-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxdmcp}-static-devel
Static development files for %{name}

%files -n %{libxdmcp}-static-devel
%{_libdir}/libXdmcp.a

#-----------------------------------------------------------

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397154
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 358544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 222238
- new release

  + anssi <anssi>
    - fix summary and description of library package

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 6633
- imported package libxdmcp

